//+------------------------------------------------------------------+
//|                                            Code_From_Scratch.mq5 |
//|                        Copyright 2021, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.005"
//---
#include <Trade\Trade.mqh>
//---
CTrade         m_trade;                      // object of CTrade class
//---
datetime m_prev_bars       = 0;              // "0" -> D'1970.01.01 00:00';
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   datetime time_0=iTime(Symbol(),PERIOD_M1,0);
   if(time_0==m_prev_bars)
      return;
   m_prev_bars=time_0;
//---
   string m_array_symbols[4]  = {"EURUSD","GBPUSD","USDCHF","NZDUSD"};
   int total = ArraySize(m_array_symbols);
   for(int i=0; i<total; i++)
     {
      double Ask=SymbolInfoDouble(m_array_symbols[i],SYMBOL_ASK);
      double Bid=SymbolInfoDouble(m_array_symbols[i],SYMBOL_BID);
      MqlRates rates[];
      ArraySetAsSeries(rates,true);
      int copied=CopyRates(m_array_symbols[i],PERIOD_H1,0,4,rates);
      //---
      if(rates[1].close > rates[1].open && rates[2].close > rates[2].open)
        {
         if(!PositionSelect(m_array_symbols[i]))
            m_trade.Buy(0.01,m_array_symbols[i]);
        }
      else
         if(rates[1].close < rates[1].open && rates[2].close < rates[2].open)
           {
            if(!PositionSelect(m_array_symbols[i]))
               m_trade.Sell(0.01,m_array_symbols[i]);
           }
     }
  }
//+------------------------------------------------------------------+
